<?php
session_start();

date_default_timezone_set('America/Lima');
$script_tz = date_default_timezone_get();


include "verifica.php";
include("../conexion.php");
include "correlativos.php";

@$xusuario_sesion=$_SESSION['nombre_usuario'];
@$xs_usu_codi=$_SESSION['s_usu_codi'];


@$xcaja_estado=$_REQUEST['xcaja_estado'];
@$xid=$_REQUEST['xid'];
@$xidtrans=$_REQUEST['xidtrans'];
@$xaccion=$_REQUEST['xaccion'];
@$xmovimientotipo=$_REQUEST['xmovimientotipo'];
@$xmonto=$_REQUEST['xmonto'];
@$xmonto_bouchers=$_REQUEST['xmonto_bouchers'];
@$xmonto_notas=$_REQUEST['xmonto_notas'];


@$xanotaciones=$_REQUEST['xanotaciones'];

@$zcaj_codi=$_REQUEST['zcaj_codi'];
@$zcaj_codigo=$_REQUEST['zcaj_codigo'];
@$zcaja_estado=$_REQUEST['zcaja_estado'];


$prc = new Precios;

switch($xaccion){
	
	case "adicionar": 
		if($prc->adicionar($conexion)==1){
			//echo "adicionar";
			?>			
			<script language="javascript">
			//parent.parent.document.getElementById('frame_precios').src = "precios.php?xid=<?php echo $xid;?>";	
			//parent.parent.location.href="../caja_cierre.php";			
			parent.parent.frame_menus_formularios.document.fmenu_caja_cierre.submit();
			
			</script>			
			<?php
			
		}		
		break;
		
	case "modificar": 
		if($prc->modificar($conexion)==1){
			//echo "modificar";						
			?>
			<script language="javascript">
			alert("Los cambios han sido guardados.");
			parent.parent.buscar(); 
			//parent.location.href="../precios.php";
			</script>			
			<?php

		}		
		break;
	
	case "eliminar":
		if($prc->eliminar($conexion)==1){
			//echo "eliminar";
			?>			
			<script language="javascript">
			alert("Precio eliminado satisfactoriamente.")
			parent.parent.document.getElementById('frame_precios').src = "precios.php?xid=<?php echo $xid;?>";	
			</script>			
			<?php
			
		}		
		break;

}


	
//$xid=$_REQUEST['xid'];
// echo "DEBE GUARDAR.".$xid;
//include("../conexion.php");



class Precios{

	//Adiciona nuevo precio
	function adicionar($conexion){
		global $xid, $xusuario_sesion,$xmovimientotipo,$xmonto,$xanotaciones,$xidtrans,$cor,$xusuario_sesion,$xs_usu_codi,$xcaja_estado, $xmonto_bouchers, $xmonto_notas;
		
		@$xs_empresa=$_SESSION['s_empresa'];	
		
		/*********** ABRIENDO CAJA *********/
		if($xcaja_estado==1){			
		
			$xcaj_codi="";
			$correlativo="";
			
			$correlativo = $cor->caja_cierre($conexion);	
			
			$xfechahora = date('Y-m-d H:i:s');	
			
			//$xanotaciones = eregi_replace("[\n|\r|\n\r]", ' ', $xanotaciones);	
			$xanotaciones = preg_replace("[\n|\r|\n\r]", ' ', $xanotaciones);															
			
			$r=mysqli_query($conexion,"INSERT INTO caja (caj_fecha,
														caj_fechahora,
														caj_usu_nombre,
														caj_anotaciones,
														caj_monto_inicial,
														caj_idtrans,
														caj_numero,
														usu_codi_fk,
														usu_nombre_fk,
														emp_codi_fk) 
												VALUES ('$xfechahora',
														'$xfechahora',
														'$xusuario_sesion',
														'$xanotaciones',
														'$xmonto',
														'$xidtrans',
														'$correlativo',
														'$xs_usu_codi',
														'$xusuario_sesion',
														'$xs_empresa');");
																
														
			if($r){
				
				$r_idtrans=mysqli_query($conexion,"SELECT * FROM caja c WHERE caj_idtrans='$xidtrans';");
				while($row_idtrans=mysqli_fetch_array($r_idtrans)){
					$xcaj_codi=$row_idtrans['caj_codi'];				
				}
				
				$result1=mysqli_query($conexion,"SELECT * FROM billetes b WHERE bil_estado=1 order by bil_codi;");
				
				while($row1=mysqli_fetch_array($result1)){
				
					$xbil_codi = $row1['bil_codi'];
				
					@$xdenominacion = "xdenominacion_".$xbil_codi;
					@$xdenominacion = $_REQUEST[$xdenominacion];
				
					@$xcantidad = "xcantidad_".$xbil_codi;
					@$xcantidad = $_REQUEST[$xcantidad];
				
					@$xmonto = "xmonto_".$xbil_codi;
					@$xmonto = $_REQUEST[$xmonto];
					
					//echo $opt."<--opt ".$chk."<--chk ".$xunidad."<--unidad ".$xtipoprecio."<--tipoprecio ".$xprecio."<--precio <br>";
						
					if($xcantidad > 0){
						
						$r_guarda_detalle=mysqli_query($conexion,"insert into caja_detalle (caj_codi_fk,
																			bil_codi_fk,
																			cantidad_billetes,
																			cajdet_apertura_cierre,
																			cajdet_monto)
																	VALUES ($xcaj_codi,
																			$xbil_codi,
																			$xcantidad,
																			'APERTURA',
																			$xmonto);");														
					}
					
				}		
					
			}
				
			
			
			if($r){		
				return 1;
			}	
			
			
		
		/*********** CERRANDO CAJA *********/
		}else{	
		
			$xfechahora = date('Y-m-d H:i:s');						
		
			$r=mysqli_query($conexion,"update caja set caj_cerrada=1,
											  caj_fechahora_cierre='$xfechahora',
											  caj_monto_final='$xmonto',
											  caj_monto_final_bouchers='$xmonto_bouchers',
											   caj_monto_final_notas='$xmonto_notas'
			where caj_codi=$xid;");	
			

			if($r){		

				$result1=mysqli_query($conexion,"SELECT * FROM billetes b WHERE bil_estado=1 order by bil_codi;");
				
				while($row1=mysqli_fetch_array($result1)){
				
					$xbil_codi = $row1['bil_codi'];
				
					@$xdenominacion = "xdenominacion_".$xbil_codi;
					@$xdenominacion = $_REQUEST[$xdenominacion];
				
					@$xcantidad = "xcantidad_".$xbil_codi;
					@$xcantidad = $_REQUEST[$xcantidad];
				
					@$xmonto = "xmonto_".$xbil_codi;
					@$xmonto = $_REQUEST[$xmonto];
					
					//echo $opt."<--opt ".$chk."<--chk ".$xunidad."<--unidad ".$xtipoprecio."<--tipoprecio ".$xprecio."<--precio <br>";
						
					if($xcantidad > 0){
						
						$r_guarda_detalle=mysqli_query($conexion,"insert into caja_detalle (caj_codi_fk,
																			bil_codi_fk,
																			cantidad_billetes,
																			cajdet_apertura_cierre,
																			cajdet_monto)
																	VALUES ($xid,
																			$xbil_codi,
																			$xcantidad,
																			'CIERRE',
																			$xmonto);");														
					}
					
				}		
				
			}						

			
			if($r){		
				return 1;
			}	


				
		}		
				
	}	


	//Modifica un precio
	function modificar($conexion){
		global $xid, $xusuario_sesion,$xmovimientotipo,$xmonto,$xanotaciones,$xidtrans,$cor,$xusuario_sesion,$xs_usu_codi,$xcaja_estado, $xmonto_bouchers, $zcaj_codi, $zcaj_codigo, $zcaja_estado, $xmonto_notas;
				
		@$xs_empresa=$_SESSION['s_empresa'];
		
		//$xanotaciones = eregi_replace("[\n|\r|\n\r]", ' ', $xanotaciones);		
		$xanotaciones = preg_replace("[\n|\r|\n\r]", ' ', $xanotaciones);				
												
		if($zcaja_estado=='apertura'){
			$r=mysqli_query($conexion,"update caja set caj_anotaciones = '$xanotaciones',										  
											  caj_monto_inicial = '$xmonto'
											where caj_codi = $zcaj_codi;");	
		}
		
		if($zcaja_estado=='cierre'){
			$r=mysqli_query($conexion,"update caja set caj_anotaciones = '$xanotaciones',										  
											  caj_monto_final = '$xmonto',
											  caj_monto_final_bouchers = '$xmonto_bouchers',
											  caj_monto_final_notas = '$xmonto_notas'
											where caj_codi = $zcaj_codi;");	
		}
		
		if($r){		
			return 1;
		}	
	}	

}




?>

